const int soundSensorPin = A0; // Analog pin for the sound sensor
const int ledPins[] = {13, 12, 11}; // Digital pins for the three LEDs

// Set the threshold for sound level
const int soundThreshold = 800;

void setup() {
  pinMode(soundSensorPin, INPUT);
  
  // Set the pinMode for the LED pins
  for (int i = 0; i < sizeof(ledPins) / sizeof(ledPins[0]); i++) {
    pinMode(ledPins[i], OUTPUT);
  }
}

void loop() {
  // Read the sound sensor value
  int soundLevel = analogRead(soundSensorPin);

  // Check if the sound level exceeds the threshold
  if (soundLevel > soundThreshold) {
    // Turn on each LED with intensity based on the sound level
    for (int i = 0; i < sizeof(ledPins) / sizeof(ledPins[0]); i++) {
      int brightness = map(soundLevel, soundThreshold, 1023, 0, 255);
      analogWrite(ledPins[i], brightness);
    }
  } else {
    // Turn off all LEDs if sound level is below the threshold
    for (int i = 0; i < sizeof(ledPins) / sizeof(ledPins[0]); i++) {
      digitalWrite(ledPins[i], LOW);
    }
  }
}